Subject: [ipcdn] Updates for next RFI v2 MIB I-D (11)

From: "Eduardo Cardona" <[email-masked]>
Date: Tue, 8 Jun 2004 09:24:17 -0600

Hi IPCDN and DOCSIS OSSI reflector participants,

After publication of RFI v2 MIB draft-10 two editorial comments and one
minor technical have been received.
Let me know by Thursday COB June 10 if the proposed changes are
appropriated for the final MIB draft. I am also planning to include
updates based on new I-D checklist Rich pointed out few weeks ago.

Thanks 

Eduardo

1) docsIfSigQMicroreflections 
statements about counters reset not applicable, Dan Rice May 04, 2004

Update text to:

docsIfSigQMicroreflections OBJECT-TYPE 
        SYNTAX      Integer32 (0..255) 
        UNITS       "dBc" 
        MAX-ACCESS  read-only 
        STATUS      current 
        DESCRIPTION 
            "Total microreflections including in-channel response 
             as perceived on this interface, measured in dBc below 
             the signal level. 
             This object is not assumed to return an absolutely 
             accurate value, but SHOULD give a rough indication 
             of microreflections received on this interface. 
             It is up to the implementer to provide information 
             as accurate as possible." 
        REFERENCE 
            "Data-Over-Cable Service Interface Specifications: Radio 
             Frequency Interface Specification SP-RFIv2.0-I05-040407, 
             Tables 4-1 and 4-2" 
        ::= { docsIfSignalQualityEntry 6 } 

2) docsIfCmStatusValue , language clarification
refers to docsIfCmtsCmStatusValue accessDenied(13) and should be
accessDenied(7), Mukesh Kumar Basrani, OSSI reflector June 06, 2004

docsIfCmStatusValue and docsIfCmtsCmStatusValue have same enumeration
value with different INTEGER value. 
Make clear the sentence to associate the INTEGER value to the correct
object.
Original: 
             As stated in the description for object 
             docsIfCmtsCmStatusValue, accessDenied(13)indicates the 
             CMTS has sent a Registration Aborted message to the CM.
Change to:
             The state value accessDenied(13) indicates the CMTS has 
             sent a Registration Aborted message to the CM. Same 
             state is reported as accessDenied(7) by the CMTS object 
             docsIfCmtsCmStatusValue."

The whole object definitions will looks like:

docsIfCmStatusValue OBJECT-TYPE 
        SYNTAX      INTEGER { 
            other(1), 
            notReady(2), 
            notSynchronized(3), 
            phySynchronized(4), 
            usParametersAcquired(5), 
            rangingComplete(6), 
            ipComplete(7), 
            todEstablished(8), 
            securityEstablished(9), 
            paramTransferComplete(10), 
            registrationComplete(11), 
            operational(12), 
            accessDenied(13) 
        } 
        MAX-ACCESS  read-only 
        STATUS      current 
        DESCRIPTION 
            "Current Cable Modem connectivity state, as specified 
             in the RF Interface Specification.  Interpretations for 
             state values 1-12 are clearly outlined in the SP-RFI 
             reference given below. 
             The state value accessDenied(13) indicates the CMTS has 
             sent a Registration Aborted message to the CM. Same 
             state is reported as accessDenied(7) by the CMTS object 
             docsIfCmtsCmStatusValue." 
        REFERENCE 
            "Data-Over-Cable Service Interface Specifications: Radio 
             Frequency Interface Specification SP-RFIv2.0-I05-040407, 
             Section 11.2. 
             Data-Over-Cable Service Interface Specifications: 
             Operations Support System Interface Specification 
             SP-OSSIv2.0-IO4-030730, Section 6.3.4.2." 
        ::= { docsIfCmStatusEntry 1 }

3) docsIfCmRangingTimeout 
read-only, Andre Lejeune, Eduardo Cardona. April 15, 2004

Seems that there is no real benefit to have this object as read-write
(see emails Apr 15), redefine the MAX-ACCESS clause is not in the
options listed in RFC 2578 section 10.2. other than object deprecation.
An intermediate solution is to make a compliance statement in
docsIfBasicComplianceV2 

OBJECT  docsIfCmRangingTimeout 
        MIN-ACCESS  read-only 
        DESCRIPTION 
            "It is compliant to implement this object as read-only." 

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 7 Jun 2004 16:49:14 -0700

Hi -

> From: "Eduardo Cardona" <[email-masked]>
> To: <[email-masked]>
> Cc: "DOCSIS OSS Majordomo List" <[email-masked]>
> Sent: Tuesday, June 08, 2004 8:24 AM
> Subject: [ipcdn] Updates for next RFI v2 MIB I-D (11)
...
>             as perceived on this interface, measured in dBc below

The word "Total" seems rather odd, given the semantics
of this object.  Furthermore, the MIB review guidelines
section 4.6.1.1 suggest that Unsigned32 or Gauge32
would be a more appropriate type, since negative values
are precluded by the syntax.

(Also, if it's dBc *below* the signal, wouldn't the UNITS be
"-dBc"?)

...
> docsIfCmStatusValue OBJECT-TYPE
...
>              docsIfCmtsCmStatusValue."
...

Question: does this mean that some cases where SP-RFI would
say other(1) this object will say accessDenied(13)?

Randy